<nav aria-label="page navigation">
  {% set next_args = dict(request.args, **params)%}
  <ul class="pagination">
    {% if params.offset|int > 0 %}
    <li class="page-item">
      {% set prev_offset = [(params.offset|int - params.limit|int), 0]|max %}
      <a class="page-link"
        href="?offset={{ prev_offset }}{% for key, value in next_args.items() if key != 'offset' %}&{{ key }}={{ value }}{% endfor %}"
        aria-label="Previous">
        <span aria-hidden="true">&laquo;</span>
      </a>
    </li>
    {% endif %}
    {% if params.offset|int >= 0 %}
    <li class="page-item">
      {% set next_offset = params.offset|int + params.limit|int %}
      <a class="page-link"
        href="?offset={{ next_offset }}{% for key, value in next_args.items() if key != 'offset' %}&{{ key }}={{ value }}{% endfor %}"
        aria-label="Next">
        <span aria-hidden="true">&raquo;</span>
      </a>
    </li>
    {% endif %}
  </ul>

  <div class="dropdown">
    <button class="btn btn-secondary dropdown-toggle" role="button" id="limitDropdown" href="#"
      data-bs-toggle="dropdown" aria-expanded="false">
      Items per page: {{ params.limit }}
    </button>
    <div class="dropdown-menu" aria-labelledby="limitDropdown">
      {% set limit_values = [10, 25, 50, 100] %}
      {% for new_limit in limit_values %}
      <a class="dropdown-item"
        href="?limit={{ new_limit }}{% for key, value in next_args.items() if key != 'limit' %}&{{ key }}={{ value }}{% endfor %}">{{
        new_limit }}</a>
      {% endfor %}
    </div>
  </div>

</nav>